# http://www.coding-zone.com/?page=i8krellm
%define gkrellmpluginver 2.5

Summary: Dell laptop (Inspiron 8000 and others) SMM BIOS support tools
Name: i8kutils
Version: 1.25
Release: 13
License: GPLv2+
Group: System Environment/Base
URL: http://people.debian.org/~dz/i8k/
Source0: http://people.debian.org/~dz/i8k/i8kutils_%{version}.tar.gz
Source1: http://www.coding-zone.com/i8krellm-%{gkrellmpluginver}.tar.gz
Source2: i8k.init
Source3: i8k.sysconfig
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: alsa-utils, gkrellm >= 2.0.0, tcl, tk
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig, /sbin/service
BuildRequires: gkrellm-devel >= 2.0.0
# This package is only relevant on Dell laptops, thus i386 only
ExclusiveArch: i386

%description
This package contains a user-space programs for accessing the SMM BIOS of
Dell Inspiron and Latitude laptops. The SMM BIOS is used on many recent
laptops to implement APM functionalities and to access custom hardware,
for example cooling fans and volume buttons.

Also provided is a cool and useful plugin for gkrellm.


%prep
%setup -q -a 1


%build
%{__make} %{?_smp_mflags}
pushd i8krellm-%{gkrellmpluginver}
    make %{?_smp_mflags} i8krellm
popd


%install
%{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_bindir}
%{__cp} -a i8kbuttons i8kctl i8kmon i8kfan %{buildroot}%{_bindir}/

%{__mkdir_p} %{buildroot}%{_mandir}/man1
%{__cp} -a *[a-z].1 %{buildroot}%{_mandir}/man1/

%{__mkdir_p} %{buildroot}%{_libdir}/gkrellm2/plugins/
pushd i8krellm-%{gkrellmpluginver}
    %{__cp} -a i8krellm.so %{buildroot}%{_libdir}/gkrellm2/plugins/
popd

%{__install} -p -D -m 0755 %{SOURCE2} \
    %{buildroot}%{_sysconfdir}/rc.d/init.d/i8k

%{__install} -p -D -m 0644 %{SOURCE3} \
    %{buildroot}%{_sysconfdir}/sysconfig/i8k


%post
/sbin/chkconfig --add i8k
# This is the old service name... if we just updated, stop. Don't bother
# starting the new service since its default configuration only loads the
# kernel module, which is already loaded in this case!
/sbin/chkconfig --del i8kbuttons &>/dev/null || :
if [ -f /var/lock/subsys/i8kbuttons ]; then
    /sbin/service i8kbuttons stop &>/dev/null
fi

%preun
if [ $1 -eq 0 ]; then
    /sbin/service i8k stop &>/dev/null
    /sbin/chkconfig --del i8k
fi


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README.i8kutils i8kmon.conf
%doc i8krellm-%{gkrellmpluginver}/AUTHORS i8krellm-%{gkrellmpluginver}/README
%doc i8krellm-%{gkrellmpluginver}/Changelog
%{_sysconfdir}/rc.d/init.d/i8k
%config(noreplace) %{_sysconfdir}/sysconfig/i8k
%{_bindir}/*
%{_libdir}/gkrellm2/plugins/*
%{_mandir}/man1/*


%changelog
* Wed Aug 22 2007 Matthias Saou <http://freshrpms.net/> 1.25-13
- Rebuild for new BuildID feature.

* Mon Aug  6 2007 Matthias Saou <http://freshrpms.net/> 1.25-12
- Update License field.
- Remove dist tag, since the package will seldom change.

* Mon Aug 28 2006 Matthias Saou <http://freshrpms.net/> 1.25-11
- FC6 rebuild.

* Fri Jun 30 2006 Matthias Saou <http://freshrpms.net/> 1.25-10
- Rename init script to i8k since we don't only enable buttons.
- Re-enable init script by default since all it does is load the i8k module.
- Enable restart when upgrading from old packages (i8kbuttons -> i8k).
- Have service only load i8k module by default (the typical for the most
  recent Dell laptops like the Latitude Dx10 and Dx20), and leave it up to
  the user to enable the special buttons daemon (only useful on older laptops).
- Add sysconfig file for users to enable i8kbuttons (only) if needed.

* Thu Jun  1 2006 Matthias Saou <http://freshrpms.net/> 1.25-9
- Disable the i8kbuttons init script by default since it is no longer needed
  on recent Dell laptops (multimedia keys are "normal" keys), although.

* Fri Apr 21 2006 Matthias Saou <http://freshrpms.net/> 1.25-8
- Add tcl requirement too... (#189567).

* Fri Apr  7 2006 Matthias Saou <http://freshrpms.net/> 1.25-7
- Add tk requirement, since the included i8kmon utility requires it.

* Tue Mar 14 2006 Matthias Saou <http://freshrpms.net/> 1.25-6
- FC5 rebuild.
- Silence possible kernel module insertion error in the init script.

* Thu Feb  9 2006 Matthias Saou <http://freshrpms.net/> 1.25-5
- Rebuild for new gcc/glibc.

* Tue Aug 16 2005 Matthias Saou <http://freshrpms.net/> 1.25-4
- Fix init script to use amixer instead of no longer provided aumix (#165555).
- Fix init script to not use obsolete initlog anymore.
- Use force=1 argument to i8k kernel module since many recent laptops (i.e. my
  Inspiron 8600) aren't recognized by the module, but can use it nevertheless
  to control the fans and get the Dell service tag.
- Disable the init script, which is only useful with the Dell specific buttons,
  by default for the above reason (my media keys work fine with ACME/GNOME).
- Remove obsolete description bit.
- Remove obsolete build requires missing from old gkrellm-devel packages.
- Add alsa-utils requirement for amixer.

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> 1.25-3
- rebuilt

* Tue Nov 16 2004 Matthias Saou <http://freshrpms.net/> 1.25-2
- Bump release to provide Extras upgrade path.

* Fri Jul 23 2004 Matthias Saou <http://freshrpms.net/> 1.25-1
- Make it ExclusiveArch i386 since relevance is only for some x86 Dell laptops.

* Thu Apr 15 2004 Matthias Saou <http://freshrpms.net/> 1.25-1
- Update to 1.25.

* Sun Nov  2 2003 Matthias Saou <http://freshrpms.net/> 1.17-7
- Rebuild for Fedora Core 1.
- Update gkrellm plugin to 2.5, change in the plugin name.

* Mon Sep 15 2003 Matthias Saou <http://freshrpms.net/>
- Added the i8kbuttons init script contributed by Jeremy Brand.

* Fri Aug 29 2003 Matthias Saou <http://freshrpms.net/>
- Updated i8krellm to 2.4.

* Mon Mar 31 2003 Matthias Saou <http://freshrpms.net/>
- Rebuilt for Red Hat Linux 9.
- Updated i8krellm to 2.3.

* Mon Dec  9 2002 Matthias Saou <http://freshrpms.net/>
- Updated i8krellm to 2.2.

* Mon Oct 28 2002 Matthias Saou <http://freshrpms.net/>
- Updated i8krellm to 2.1.

* Tue Oct  8 2002 Matthias Saou <http://freshrpms.net/>
- Rebuilt for Red Hat Linux 8.0.
- Update to 1.17.
- Disabled the gkrellm plugin until it gets compatible with gkrellm2.

* Thu Jun 27 2002 Matthias Saou <http://freshrpms.net/>
- Update to 1.13.

* Thu May  2 2002 Matthias Saou <http://freshrpms.net/>
- Update to 1.11.
- Rebuilt against Red Hat Linux 7.3.
- Added the %{?_smp_mflags} expansion.

* Mon Jan 21 2002 Matthias Saou <http://freshrpms.net/>
- Updated the gkrellm plugin to 1.3.

* Sun Jan 13 2002 Matthias Saou <http://freshrpms.net/>
- Updated to 1.8 and gkrellm plugin to 1.2.
- Fix for i8krellm docs that were getting installed with the man pages.

* Tue Dec  4 2001 Matthias Saou <http://freshrpms.net/>
- Initial RPM release.

